Webhooks
Rotate signing secret
Rotate an endpoint’s signing secret. The previous secret stops verifying immediately.
POST
cURL
Headers
Bearer token. Format: Bearer <api_key>
Path Parameters
Response
The request has succeeded.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Rotate an endpoint’s signing secret. The previous secret stops verifying immediately.
curl --request POST \
--url https://api.nxos.io/v1/webhooks/endpoints/{endpointId}/secret/rotate \
--header 'Authorization: <authorization>'{
"id": "<string>",
"secretRotated": true
}Bearer token. Format: Bearer <api_key>
The request has succeeded.
curl --request POST \
--url https://api.nxos.io/v1/webhooks/endpoints/{endpointId}/secret/rotate \
--header 'Authorization: <authorization>'{
"id": "<string>",
"secretRotated": true
}